Bug 7789 - change vfs_scannedonly from mtime to ctime
change vfs_scannedonly from mtime to ctime
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: VFS Modules
3.5.6
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-10 10:55 UTC by Olivier Sessink
Modified: 2010-11-24 11:23 UTC (History)
0 users

See Also:


Attachments
git patch (1.45 KB, patch)
2010-11-10 10:56 UTC, Olivier Sessink
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Sessink 2010-11-10 10:55:47 UTC
the attached patch changes timestamp checks from mtime to ctime, which is more reliable if local access to the files (outside samba) is possible.
Comment 1 Olivier Sessink 2010-11-10 10:56:19 UTC
Created attachment 6057 [details]
git patch
Comment 2 Jeremy Allison 2010-11-19 19:25:06 UTC
Pushed to v3-6-test and master. Please reply here if you want this to be pushed for 3.5.7 also !

Thanks,

Jeremy.
Comment 3 Olivier Sessink 2010-11-20 02:26:41 UTC
(In reply to comment #2)
> Pushed to v3-6-test and master. Please reply here if you want this to be pushed
> for 3.5.7 also !

would be good if this is included in 3.5.7 as well

Comment 4 Jeremy Allison 2010-11-23 13:53:15 UTC
Re-assigning to Karolin for inclusion in 3.5.x.
Jeremy.
Comment 5 Karolin Seeger 2010-11-24 11:23:53 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!